Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class NVTextureShader

    java.lang.Object
      org.lwjgl.opengl.NVTextureShader

    public final class NVTextureShader

extends java.lang.Object

Field Summary
`static int` | `GL_CONST_EYE_NV`
`static int` | `GL_CULL_FRAGMENT_NV`
`static int` | `GL_CULL_MODES_NV`
`static int` | `GL_DEPENDENT_AR_TEXTURE_2D_NV`
`static int` | `GL_DEPENDENT_GB_TEXTURE_2D_NV`
`static int` | `GL_DOT_PRODUCT_CONST_EYE_REFLECT_CUBE_MAP_NV`
`static int` | `GL_DOT_PRODUCT_DEPTH_REPLACE_NV`
`static int` | `GL_DOT_PRODUCT_DIFFUSE_CUBE_MAP_NV`
`static int` | `GL_DOT_PRODUCT_NV`
`static int` | `GL_DOT_PRODUCT_REFLECT_CUBE_MAP_NV`
`static int` | `GL_DOT_PRODUCT_TEXTURE_2D_NV`
`static int` | `GL_DOT_PRODUCT_TEXTURE_CUBE_MAP_NV`
`static int` | `GL_DOT_PRODUCT_TEXTURE_RECTANGLE_NV`
`static int` | `GL_DS_BIAS_NV`
`static int` | `GL_DS_SCALE_NV`
`static int` | `GL_DSDT_MAG_INTENSITY_NV`
`static int` | `GL_DSDT_MAG_NV`
`static int` | `GL_DSDT_MAG_VIB_NV`
`static int` | `GL_DSDT_NV`
`static int` | `GL_DSDT8_MAG8_INTENSITY8_NV`
`static int` | `GL_DSDT8_MAG8_NV`
`static int` | `GL_DSDT8_NV`
`static int` | `GL_DT_BIAS_NV`
`static int` | `GL_DT_SCALE_NV`
`static int` | `GL_HI_BIAS_NV`
`static int` | `GL_HI_SCALE_NV`
`static int` | `GL_HILO_NV`
`static int` | `GL_HILO16_NV`
`static int` | `GL_LO_BIAS_NV`
`static int` | `GL_LO_SCALE_NV`
`static int` | `GL_MAGNITUDE_BIAS_NV`
`static int` | `GL_MAGNITUDE_SCALE_NV`
`static int` | `GL_OFFSET_TEXTURE_2D_NV`
`static int` | `GL_OFFSET_TEXTURE_BIAS_NV`
`static int` | `GL_OFFSET_TEXTURE_MATRIX_NV`
`static int` | `GL_OFFSET_TEXTURE_RECTANGLE_NV`
`static int` | `GL_OFFSET_TEXTURE_RECTANGLE_SCALE_NV`
`static int` | `GL_OFFSET_TEXTURE_SCALE_NV`
`static int` | `GL_PASS_THROUGH_NV`
`static int` | `GL_PREVIOUS_TEXTURE_INPUT_NV`
`static int` | `GL_RGBA_UNSIGNED_DOT_PRODUCT_MAPPING_NV`
`static int` | `GL_SHADER_CONSISTENT_NV`
`static int` | `GL_SHADER_OPERATION_NV`
`static int` | `GL_SIGNED_ALPHA_NV`
`static int` | `GL_SIGNED_ALPHA8_NV`
`static int` | `GL_SIGNED_HILO_NV`
`static int` | `GL_SIGNED_HILO16_NV`
`static int` | `GL_SIGNED_INTENSITY_NV`
`static int` | `GL_SIGNED_INTENSITY8_NV`
`static int` | `GL_SIGNED_LUMINANCE_ALPHA_NV`
`static int` | `GL_SIGNED_LUMINANCE_NV`
`static int` | `GL_SIGNED_LUMINANCE8_ALPHA8_NV`
`static int` | `GL_SIGNED_LUMINANCE8_NV`
`static int` | `GL_SIGNED_RGB_NV`
`static int` | `GL_SIGNED_RGB_UNSIGNED_ALPHA_NV`
`static int` | `GL_SIGNED_RGB8_NV`
`static int` | `GL_SIGNED_RGB8_UNSIGNED_ALPHA8_NV`
`static int` | `GL_SIGNED_RGBA_NV`
`static int` | `GL_SIGNED_RGBA8_NV`
`static int` | `GL_TEXTURE_BORDER_VALUES_NV`
`static int` | `GL_TEXTURE_DS_SIZE_NV`
`static int` | `GL_TEXTURE_DT_SIZE_NV`
`static int` | `GL_TEXTURE_HI_SIZE_NV`
`static int` | `GL_TEXTURE_LO_SIZE_NV`
`static int` | `GL_TEXTURE_MAG_SIZE_NV`
`static int` | `GL_TEXTURE_SHADER_NV`
`static int` | `GL_UNSIGNED_INT_8_8_S8_S8_REV_NV`
`static int` | `GL_UNSIGNED_INT_S8_S8_8_8_NV`
`static int` | `GL_VIBRANCE_BIAS_NV`
`static int` | `GL_VIBRANCE_SCALE_NV`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_TEXTURE_SHADER_NV

    public static final int GL_TEXTURE_SHADER_NV

See Also:
  Constant Field Values

### GL_RGBA_UNSIGNED_DOT_PRODUCT_MAPPING_NV

    public static final int GL_RGBA_UNSIGNED_DOT_PRODUCT_MAPPING_NV

See Also:
  Constant Field Values

### GL_SHADER_OPERATION_NV

    public static final int GL_SHADER_OPERATION_NV

See Also:
  Constant Field Values

### GL_CULL_MODES_NV

    public static final int GL_CULL_MODES_NV

See Also:
  Constant Field Values

### GL_OFFSET_TEXTURE_MATRIX_NV

    public static final int GL_OFFSET_TEXTURE_MATRIX_NV

See Also:
  Constant Field Values

### GL_OFFSET_TEXTURE_SCALE_NV

    public static final int GL_OFFSET_TEXTURE_SCALE_NV

See Also:
  Constant Field Values

### GL_OFFSET_TEXTURE_BIAS_NV

    public static final int GL_OFFSET_TEXTURE_BIAS_NV

See Also:
  Constant Field Values

### GL_PREVIOUS_TEXTURE_INPUT_NV

    public static final int GL_PREVIOUS_TEXTURE_INPUT_NV

See Also:
  Constant Field Values

### GL_CONST_EYE_NV

    public static final int GL_CONST_EYE_NV

See Also:
  Constant Field Values

### GL_SHADER_CONSISTENT_NV

    public static final int GL_SHADER_CONSISTENT_NV

See Also:
  Constant Field Values

### GL_PASS_THROUGH_NV

    public static final int GL_PASS_THROUGH_NV

See Also:
  Constant Field Values

### GL_CULL_FRAGMENT_NV

    public static final int GL_CULL_FRAGMENT_NV

See Also:
  Constant Field Values

### GL_OFFSET_TEXTURE_2D_NV

    public static final int GL_OFFSET_TEXTURE_2D_NV

See Also:
  Constant Field Values

### GL_OFFSET_TEXTURE_RECTANGLE_NV

    public static final int GL_OFFSET_TEXTURE_RECTANGLE_NV

See Also:
  Constant Field Values

### GL_OFFSET_TEXTURE_RECTANGLE_SCALE_NV

    public static final int GL_OFFSET_TEXTURE_RECTANGLE_SCALE_NV

See Also:
  Constant Field Values

### GL_DEPENDENT_AR_TEXTURE_2D_NV

    public static final int GL_DEPENDENT_AR_TEXTURE_2D_NV

See Also:
  Constant Field Values

### GL_DEPENDENT_GB_TEXTURE_2D_NV

    public static final int GL_DEPENDENT_GB_TEXTURE_2D_NV

See Also:
  Constant Field Values

### GL_DOT_PRODUCT_NV

    public static final int GL_DOT_PRODUCT_NV

See Also:
  Constant Field Values

### GL_DOT_PRODUCT_DEPTH_REPLACE_NV

    public static final int GL_DOT_PRODUCT_DEPTH_REPLACE_NV

See Also:
  Constant Field Values

### GL_DOT_PRODUCT_TEXTURE_2D_NV

    public static final int GL_DOT_PRODUCT_TEXTURE_2D_NV

See Also:
  Constant Field Values

### GL_DOT_PRODUCT_TEXTURE_RECTANGLE_NV

    public static final int GL_DOT_PRODUCT_TEXTURE_RECTANGLE_NV

See Also:
  Constant Field Values

### GL_DOT_PRODUCT_TEXTURE_CUBE_MAP_NV

    public static final int GL_DOT_PRODUCT_TEXTURE_CUBE_MAP_NV

See Also:
  Constant Field Values

### GL_DOT_PRODUCT_DIFFUSE_CUBE_MAP_NV

    public static final int GL_DOT_PRODUCT_DIFFUSE_CUBE_MAP_NV

See Also:
  Constant Field Values

### GL_DOT_PRODUCT_REFLECT_CUBE_MAP_NV

    public static final int GL_DOT_PRODUCT_REFLECT_CUBE_MAP_NV

See Also:
  Constant Field Values

### GL_DOT_PRODUCT_CONST_EYE_REFLECT_CUBE_MAP_NV

    public static final int GL_DOT_PRODUCT_CONST_EYE_REFLECT_CUBE_MAP_NV

See Also:
  Constant Field Values

### GL_HILO_NV

    public static final int GL_HILO_NV

See Also:
  Constant Field Values

### GL_DSDT_NV

    public static final int GL_DSDT_NV

See Also:
  Constant Field Values

### GL_DSDT_MAG_NV

    public static final int GL_DSDT_MAG_NV

See Also:
  Constant Field Values

### GL_DSDT_MAG_VIB_NV

    public static final int GL_DSDT_MAG_VIB_NV

See Also:
  Constant Field Values

### GL_UNSIGNED_INT_S8_S8_8_8_NV

    public static final int GL_UNSIGNED_INT_S8_S8_8_8_NV

See Also:
  Constant Field Values

### GL_UNSIGNED_INT_8_8_S8_S8_REV_NV

    public static final int GL_UNSIGNED_INT_8_8_S8_S8_REV_NV

See Also:
  Constant Field Values

### GL_SIGNED_RGBA_NV

    public static final int GL_SIGNED_RGBA_NV

See Also:
  Constant Field Values

### GL_SIGNED_RGBA8_NV

    public static final int GL_SIGNED_RGBA8_NV

See Also:
  Constant Field Values

### GL_SIGNED_RGB_NV

    public static final int GL_SIGNED_RGB_NV

See Also:
  Constant Field Values

### GL_SIGNED_RGB8_NV

    public static final int GL_SIGNED_RGB8_NV

See Also:
  Constant Field Values

### GL_SIGNED_LUMINANCE_NV

    public static final int GL_SIGNED_LUMINANCE_NV

See Also:
  Constant Field Values

### GL_SIGNED_LUMINANCE8_NV

    public static final int GL_SIGNED_LUMINANCE8_NV

See Also:
  Constant Field Values

### GL_SIGNED_LUMINANCE_ALPHA_NV

    public static final int GL_SIGNED_LUMINANCE_ALPHA_NV

See Also:
  Constant Field Values

### GL_SIGNED_LUMINANCE8_ALPHA8_NV

    public static final int GL_SIGNED_LUMINANCE8_ALPHA8_NV

See Also:
  Constant Field Values

### GL_SIGNED_ALPHA_NV

    public static final int GL_SIGNED_ALPHA_NV

See Also:
  Constant Field Values

### GL_SIGNED_ALPHA8_NV

    public static final int GL_SIGNED_ALPHA8_NV

See Also:
  Constant Field Values

### GL_SIGNED_INTENSITY_NV

    public static final int GL_SIGNED_INTENSITY_NV

See Also:
  Constant Field Values

### GL_SIGNED_INTENSITY8_NV

    public static final int GL_SIGNED_INTENSITY8_NV

See Also:
  Constant Field Values

### GL_SIGNED_RGB_UNSIGNED_ALPHA_NV

    public static final int GL_SIGNED_RGB_UNSIGNED_ALPHA_NV

See Also:
  Constant Field Values

### GL_SIGNED_RGB8_UNSIGNED_ALPHA8_NV

    public static final int GL_SIGNED_RGB8_UNSIGNED_ALPHA8_NV

See Also:
  Constant Field Values

### GL_HILO16_NV

    public static final int GL_HILO16_NV

See Also:
  Constant Field Values

### GL_SIGNED_HILO_NV

    public static final int GL_SIGNED_HILO_NV

See Also:
  Constant Field Values

### GL_SIGNED_HILO16_NV

    public static final int GL_SIGNED_HILO16_NV

See Also:
  Constant Field Values

### GL_DSDT8_NV

    public static final int GL_DSDT8_NV

See Also:
  Constant Field Values

### GL_DSDT8_MAG8_NV

    public static final int GL_DSDT8_MAG8_NV

See Also:
  Constant Field Values

### GL_DSDT_MAG_INTENSITY_NV

    public static final int GL_DSDT_MAG_INTENSITY_NV

See Also:
  Constant Field Values

### GL_DSDT8_MAG8_INTENSITY8_NV

    public static final int GL_DSDT8_MAG8_INTENSITY8_NV

See Also:
  Constant Field Values

### GL_HI_SCALE_NV

    public static final int GL_HI_SCALE_NV

See Also:
  Constant Field Values

### GL_LO_SCALE_NV

    public static final int GL_LO_SCALE_NV

See Also:
  Constant Field Values

### GL_DS_SCALE_NV

    public static final int GL_DS_SCALE_NV

See Also:
  Constant Field Values

### GL_DT_SCALE_NV

    public static final int GL_DT_SCALE_NV

See Also:
  Constant Field Values

### GL_MAGNITUDE_SCALE_NV

    public static final int GL_MAGNITUDE_SCALE_NV

See Also:
  Constant Field Values

### GL_VIBRANCE_SCALE_NV

    public static final int GL_VIBRANCE_SCALE_NV

See Also:
  Constant Field Values

### GL_HI_BIAS_NV

    public static final int GL_HI_BIAS_NV

See Also:
  Constant Field Values

### GL_LO_BIAS_NV

    public static final int GL_LO_BIAS_NV

See Also:
  Constant Field Values

### GL_DS_BIAS_NV

    public static final int GL_DS_BIAS_NV

See Also:
  Constant Field Values

### GL_DT_BIAS_NV

    public static final int GL_DT_BIAS_NV

See Also:
  Constant Field Values

### GL_MAGNITUDE_BIAS_NV

    public static final int GL_MAGNITUDE_BIAS_NV

See Also:
  Constant Field Values

### GL_VIBRANCE_BIAS_NV

    public static final int GL_VIBRANCE_BIAS_NV

See Also:
  Constant Field Values

### GL_TEXTURE_BORDER_VALUES_NV

    public static final int GL_TEXTURE_BORDER_VALUES_NV

See Also:
  Constant Field Values

### GL_TEXTURE_HI_SIZE_NV

    public static final int GL_TEXTURE_HI_SIZE_NV

See Also:
  Constant Field Values

### GL_TEXTURE_LO_SIZE_NV

    public static final int GL_TEXTURE_LO_SIZE_NV

See Also:
  Constant Field Values

### GL_TEXTURE_DS_SIZE_NV

    public static final int GL_TEXTURE_DS_SIZE_NV

See Also:
  Constant Field Values

### GL_TEXTURE_DT_SIZE_NV

    public static final int GL_TEXTURE_DT_SIZE_NV

See Also:
  Constant Field Values

### GL_TEXTURE_MAG_SIZE_NV

    public static final int GL_TEXTURE_MAG_SIZE_NV

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.